apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    deployment.kubernetes.io/revision: "1"
  creationTimestamp: "2024-12-05T14:35:55Z"
  generation: 1
  name: trustee-deployment
  namespace: trustee-operator-system
  resourceVersion: "52012"
  uid: 6ff0881c-32d4-4112-83fc-688c7486a565
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: kbs
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 1
    type: RollingUpdate
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: kbs
    spec:
      containers:
      - command:
        - /usr/local/bin/kbs
        - --config-file
        - /etc/kbs-config/kbs-config.json
        image: registry.redhat.io/confidential-compute-attestation-tech-preview/trustee-rhel9@sha256:db1fa9dc95ed524a8b65f0c906d969f879232a4dc05dbda9cccbb39fc111cfc8
        imagePullPolicy: IfNotPresent
        name: kbs
        ports:
        - containerPort: 8080
          name: kbs
          protocol: TCP
        resources: {}
        securityContext:
          allowPrivilegeEscalation: false
          capabilities:
            drop:
            - ALL
          seccompProfile:
            type: RuntimeDefault
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /opt/confidential-containers
          name: confidential-containers
        - mountPath: /opt/confidential-containers/kbs/repository/default
          name: default
        - mountPath: /etc/kbs-config
          name: kbs-config
        - mountPath: /opt/confidential-containers/opa
          name: opa
        - mountPath: /etc/auth-secret
          name: auth-secret
        - mountPath: /opt/confidential-containers/kbs/repository/default/kbsres1
          name: kbsres1
        - mountPath: /opt/confidential-containers/kbs/repository/default/security-policy
          name: security-policy
        - mountPath: /opt/confidential-containers/kbs/repository/default/cosign-public-key
          name: cosign-public-key
        - mountPath: /opt/confidential-containers/rvps/reference-values
          name: reference-values
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
      volumes:
      - emptyDir:
          medium: Memory
        name: confidential-containers
      - emptyDir:
          medium: Memory
        name: default
      - configMap:
          defaultMode: 420
          name: kbs-config-cm
        name: kbs-config
      - configMap:
          defaultMode: 420
          name: resource-policy
        name: opa
      - name: auth-secret
        secret:
          defaultMode: 420
          secretName: kbs-auth-public-key
      - name: kbsres1
        secret:
          defaultMode: 420
          secretName: kbsres1
      - name: security-policy
        secret:
          defaultMode: 420
          secretName: security-policy
      - name: cosign-public-key
        secret:
          defaultMode: 420
          secretName: cosign-public-key
      - configMap:
          defaultMode: 420
          name: rvps-reference-values
        name: reference-values
status:
  conditions:
  - lastTransitionTime: "2024-12-05T14:35:55Z"
    lastUpdateTime: "2024-12-05T14:35:55Z"
    message: Deployment has minimum availability.
    reason: MinimumReplicasAvailable
    status: "True"
    type: Available
  - lastTransitionTime: "2024-12-05T14:35:55Z"
    lastUpdateTime: "2024-12-05T14:36:11Z"
    message: ReplicaSet "trustee-deployment-6c59965564" has successfully progressed.
    reason: NewReplicaSetAvailable
    status: "True"
    type: Progressing
  observedGeneration: 1
  replicas: 1
  unavailableReplicas: 1
  updatedReplicas: 1
